{% load extra_filters %}

{% comment %}
Questionnaire detail part

Context variables:
    questionnaire_detail: Messy dict containing questionnaire detail
{% endcomment %}

{% for heading in questionnaire_detail.headings.values %}
    {# this item is a heading! #}
    {% if heading.heading_object %}
        <h3>{{ heading.heading_object.name|default:"?" }}</h3>
    {% endif %}

    {% for question_item in heading.questions %}
        <p>
            {{ question_item.question_text }}:
            <strong>{{ question_item.answer_value|no_none }}</strong>
        </p>
    {% endfor %}
{% endfor %}

